QuickFIX: HTML::TAG Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# HTML::TAG Class Reference

`#include <HtmlBuilder.h>`

Inheritance diagram for HTML::TAG:
[legend]

List of all members.

## Public Member Functions
| TAG (const std::string &tag, std::ostream &stream)
virtual | ~TAG ()
TAG & | text ()
TAG & | text (const std::string &value)
TAG & | text (int value)
## Protected Attributes
std::ostream & | m_stream
## Private Attributes
std::string | m_tag
std::stringstream | m_value

## Detailed Description

Definition at line 33 of file HtmlBuilder.h.

## Constructor & Destructor Documentation

HTML::TAG::TAG | ( | const std::string & | tag,
|  | std::ostream & | stream |
| ) |  |  | `[inline]`

Definition at line 36 of file HtmlBuilder.h.

References m_stream, and m_tag.

    00037   : m_tag( tag ), m_stream( stream )
    00038   {
    00039     m_stream << "<" << m_tag;
    00040   }

virtual HTML::TAG::~TAG | ( |  | ) | `[inline, virtual]`

Definition at line 42 of file HtmlBuilder.h.

References m_stream, m_tag, and m_value.

    00043   {
    00044     m_stream << m_value.str();
    00045     m_stream << "</" << m_tag << ">";
    00046   }

## Member Function Documentation

TAG& HTML::TAG::text | ( | int | value | ) | `[inline]`

Definition at line 52 of file HtmlBuilder.h.

References m_value, and text().

Referenced by text().

    00053   { m_value << value; text(); return *this; }

TAG& HTML::TAG::text | ( | const std::string & | value | ) | `[inline]`

Definition at line 50 of file HtmlBuilder.h.

References m_value, and text().

Referenced by text().

    00051   { m_value << value; text(); return *this; }

TAG& HTML::TAG::text | ( |  | ) | `[inline]`

Definition at line 48 of file HtmlBuilder.h.

References m_stream.

Referenced by FIX::HttpConnection::processDisableSessions(), FIX::HttpConnection::processEnableSessions(), FIX::HttpConnection::processRefreshSession(), FIX::HttpConnection::processRefreshSessions(), FIX::HttpConnection::processRequest(), FIX::HttpConnection::processResetSession(), FIX::HttpConnection::processResetSessions(), FIX::HttpConnection::processRoot(), FIX::HttpConnection::processSession(), and FIX::HttpConnection::showRow().

    00049   { m_stream << ">"; return *this; }

## Member Data Documentation

std::ostream& HTML::TAG::m_stream`[protected]`

Definition at line 60 of file HtmlBuilder.h.

Referenced by HTML::TD::align(), HTML::TABLE::border(), HTML::TABLE::cellspacing(), HTML::A::href(), TAG(), text(), HTML::TABLE::width(), and ~TAG().

std::string HTML::TAG::m_tag`[private]`

Definition at line 56 of file HtmlBuilder.h.

Referenced by TAG(), and ~TAG().

std::stringstream HTML::TAG::m_value`[private]`

Definition at line 57 of file HtmlBuilder.h.

Referenced by text(), and ~TAG().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/HtmlBuilder.h